Name:		libopenh323
Version:	1.9.10
Release:	alt3

Summary:	OpenH323 Library
Summary(ru_RU.KOI8-R):	 OpenH323

License:	MPL
Group:		System/Libraries
URL:		http://www.openh323.org/

Packager: Vitaly Lipatov <lav@altlinux.ru>

Source0:	http://www.openh323.org/bin/openh323_%version.tar.bz2
Source1:	openh323u.mak.fix
Patch0:		%name-1.9.10-mak_files.patch.bz2
Patch1:		%name-1.8.0-libname.patch.bz2

Obsoletes: openh323_1

%define pwlib_version 1.3.11

# Automatically added by buildreq on Sun Dec 01 2002
BuildRequires: gcc-c++ libspeex-devel libssl-devel libstdc++-devel
BuildRequires: libpw-devel >= %pwlib_version 

%description
This is a Open Source class library for the development of
applications that wish to use the H.323 protocol for multi-media
communications over packet based networks.

%description -l ru_RU.KOI8-R
       
,     H.323
       
.

%package devel
Summary:	OpenH323 development files
Summary(ru_RU.KOI8-R):	    OpenH323
Group:	Development/C
Requires:	%name = %version
Obsoletes: openh323_1-devel

%description devel
Header files and libraries for developing applications that use
OpenH323.

%description devel -l ru_RU.KOI8-R
      ,
 OpenH323.

%prep
%setup -qn openh323
%patch0 -p1 -b .fix_mak
%patch1 -p1 -b .libname
cp %SOURCE1 openh323u.mak.fix

(mkdir pwlibdir; cd pwlibdir;
ln -s %prefix/share/libpw make
ln -s %prefix/share share
ln -s %prefix/include/libpw include
ln -s %prefix/lib lib
#mkdir -p tools
#ln -s %prefix/bin tools/asnparser
ln -s %prefix/bin bin
)
export PWLIBDIR=`pwd`/pwlibdir
export OPENH323DIR=`pwd`
make optshared OPTCCFLAGS="$RPM_OPT_FLAGS"

%install
install -d $RPM_BUILD_ROOT{%_libdir,%_includedir/%name,%_bindir,%_datadir/%name}

cp -a lib/lib* $RPM_BUILD_ROOT%_libdir
install include/*.h $RPM_BUILD_ROOT%_includedir/%name
install openh323u.mak.fix $RPM_BUILD_ROOT%_datadir/%name/openh323u.mak

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%doc ReadMe.txt mpl-1.0.htm VoIPBlaster.txt
%_libdir/lib*.so.*

%files devel
%_libdir/*.so
%_includedir/*
%_datadir/%name

%changelog
* Wed Dec 04 2002 Vitaly Lipatov <lav@altlinux.ru> 1.9.10-alt3
- adapted for libpw
- spec cleanup
- remade patch for make files
- add special open323u.mak.fix

* Sun Dec 01 2002 Vitaly Lipatov <lav@altlinux.ru> 1.9.10-alt2
- use external libspeex, remove speex patch
- rename source package to libopenh323
- cleanup spec

* Sun Nov 24 2002 Vitaly Lipatov <lav@altlinux.ru> 1.9.10-alt1
- new version
- Added Speex support and patch4 
  as in Mandrake by Laurent Grawet <laurent.grawet@ibelgique.com> 1.9.9-2mdk 
  and Florin <florin@mandrakesoft.com> 1.9.10-2mdk
- spec cleanup, summary and description are translated in russian
- renamed in libopenh323, libopenh323-devel
- support for libpwlib name

* Tue Oct 08 2002 AEN <aen@altlinux.ru> 1.9.3-alt1
- new version

* Wed Mar 13 2002 AEN <aen@logic.ru> 1.8.0-alt1
- new version

* Tue Jan 08 2002 AEN <aen@logic.ru> 1.7.8-alt1
- new version

* Wed Oct 10 2001 AEN <aen@logic.ru> 1.6.1-alt1
- new version

* Tue Jul 3 2001 AEN <aen@logic.ru> 1.1.1-alt1
- rebuilt for Sisyphus

* Sun Jun 24 2001 Stefan van der Eijk <stefan@eijk.nu> 1.1.1-4mdk
- add description
- bzipped patches

* Thu Jun 21 2001 Stefan van der Eijk <stefan@eijk.nu> 1.1.1-3mdk
- BuildRequires:	XFree86-devel

* Sun Jun 10 2001 Stefan van der Eijk <stefan@eijk.nu> 1.1.1-2mdk
- BuildRequires:	pwlib-devel

* Mon Jan 15 2001 Frederic Lepied <flepied@mandrakesoft.com> 1.1.1-1mdk
- first Linux-Mandrake version.
